/***************************************************************
 * Name:      LEDwx01Main.h
 * Purpose:   Defines Application Frame
 * Author:    Niels Nikolaisen ()
 * Created:   2020-04-14
 * Copyright: Niels Nikolaisen ()
 * License:
 **************************************************************/

#ifndef LEDWX01MAIN_H
#define LEDWX01MAIN_H

//(*Headers(LEDwx01Dialog)
#include <wx/button.h>
#include <wx/dialog.h>
#include <wx/sizer.h>
#include <wx/stattext.h>
//*)

class LEDwx01Dialog: public wxDialog
{
    public:

        LEDwx01Dialog(wxWindow* parent,wxWindowID id = -1);
        virtual ~LEDwx01Dialog();

    private:

        //(*Handlers(LEDwx01Dialog)
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnButton1Click(wxCommandEvent& event);
        void OnButton2Click(wxCommandEvent& event);
        //*)

        //(*Identifiers(LEDwx01Dialog)
        static const long ID_STATICTEXT1;
        static const long ID_BUTTON1;
        static const long ID_BUTTON2;
        //*)

        //(*Declarations(LEDwx01Dialog)
        wxBoxSizer* BoxSizer1;
        wxBoxSizer* BoxSizer2;
        wxButton* Button1;
        wxButton* Button2;
        wxStaticText* StaticText1;
        //*)

        DECLARE_EVENT_TABLE()
};

#endif // LEDWX01MAIN_H
